PrefabFiles = {
	"dipperpines",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/dipperpines.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/dipperpines.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/dipperpines.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/dipperpines.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/dipperpines_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/dipperpines_silho.xml" ),

    Asset( "IMAGE", "bigportraits/dipperpines.tex" ),
    Asset( "ATLAS", "bigportraits/dipperpines.xml" ),
	
	Asset( "IMAGE", "images/map_icons/dipperpines.tex" ),
	Asset( "ATLAS", "images/map_icons/dipperpines.xml" ),

}

local require = GLOBAL.require

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.dipperpines = "The boy who searches mysteries."
GLOBAL.STRINGS.CHARACTER_NAMES.dipperpines = "Dipper Pines"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.dipperpines = "*starts with his trusty backpack\n*relies on books\n*isn't really a hard hitter"
GLOBAL.STRINGS.CHARACTER_QUOTES.dipperpines = "\"Yes! Time to show Grunkle Stan a real mystery hunter!\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.DIPPERPINES = require "speech_dipperpines"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "dipperpines")


AddMinimapAtlas("images/map_icons/dipperpines.xml")
AddModCharacter("dipperpines")

